import type { _DOMCSSPrimitiveValue } from "./DOMCSSPrimitiveValue.js";
import type { _DOMObject } from "./DOMObject.js";
export declare class _DOMRect extends _DOMObject {
    static alloc(): _DOMRect;
    static new(): _DOMRect;
    init(): _DOMRect;
    top(): _DOMCSSPrimitiveValue;
    right(): _DOMCSSPrimitiveValue;
    bottom(): _DOMCSSPrimitiveValue;
    left(): _DOMCSSPrimitiveValue;
}
